com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdTransferCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPTransferCmd
    - - com.verisign.epp.codec.emailFwd.EPPEmailFwdTransferCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPEmailFwdTransferCmd
      extends EPPTransferCmd

  Represents an EPP EmailFwd <transfer> command. The EPP <transfer> command provides a query operation that allows a client to determine real-time status of pending and completed transfer requests. In addition to the standard EPPhttp://www.niscom.nic.in/NISTXT/services/Ser1AA.htm command elements, the <transfer> command MUST contain an `op` attribute with value `query`, and a <emailFwd:transfer> element that identifies the emailFwd namespace and the location of the emailFwd schema. The <emailFwd:transfer> element SHALL contain the following child elements:
  - A <emailFwd:name> element that contains the fully qualified emailFwd name of the object for which a transfer request is to be created, approved, rejected, or cancelled. Use `getName` and `setName` to get and set the element.
  - An OPTIONAL <emailFwd:period> element that contains the initial registration period of the emailFwd object. Use `getPeriod` and `setPeriod` to get and set the element. If return `null`, period has not been specified yet.
  - An "op" attribute that identifies the transfer operation to be performed. Valid values, definitions, and authorizations for all attribute values are defined in [EPP]. Use `getOp` and `setOp` to get and set the element. One of the `EPPCommand.OP_` constants need to be specified.
  - A <emailFwd:authInfo> element that contains authorization information associated with the emailFwd object or authorization information associated with the emailFwd object's registrant or associated contacts. This element is REQUIRED only when a transfer is requested, and it SHALL be ignored if used otherwise. Use `getAuthInfo` and `setAuthInfo` to get and set the element.
  `EPPEmailFwdTransferResp` is the concrete `EPPReponse` associated with `EPPEmailFwdTransferCmd`.
  See Also:
    `EPPEmailFwdTransferResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPTransferCmd

      `op`

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEmailFwdTransferCmd()` Allocates a new `EPPEmailFwdTransferCmd` with default attribute values.
    `EPPEmailFwdTransferCmd(java.lang.String aTransId, java.lang.String aOp, java.lang.String aName)` `EPPEmailFwdTransferCmd` constructor that takes the required attributes as arguments.
    `EPPEmailFwdTransferCmd(java.lang.String aTransId, java.lang.String aOp, java.lang.String aName, EPPAuthInfo aAuthInfo, EPPEmailFwdPeriod aPeriod)` `EPPEmailFwdTransferCmd` constructor that takes the required attributes plus the optional attibute `aPeriod`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPEmailFwdTransferCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdTransferCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdTransferCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdTransferCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` Get authorization Information.
    `java.lang.String` | `getName()` Gets the emailFwd name to query.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPEmailFwdTransferCmd`.
    `EPPEmailFwdPeriod` | `getPeriod()` Gets the registration period of the transfer command in years.
    `void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information.
    `void` | `setName(java.lang.String aName)` Sets the emailFwd name to query.
    `void` | `setPeriod(EPPEmailFwdPeriod aPeriod)` Sets the registration period of the transfer command.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPTransferCmd

      `doGenDecode, doGenEncode, getOp, getType, setOp`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEmailFwdTransferCmd

          public EPPEmailFwdTransferCmd()

      Allocates a new `EPPEmailFwdTransferCmd` with default attribute values. the defaults include the following:
      - name is set to `null`
      - period is set to `null`
      - authInfo is set to to `null`
      The transaction ID, operation, name, and authInfo must be set before invoking `encode`.

    - #### EPPEmailFwdTransferCmd

          public EPPEmailFwdTransferCmd(java.lang.String aTransId,
                                        java.lang.String aOp,
                                        java.lang.String aName)

      `EPPEmailFwdTransferCmd` constructor that takes the required attributes as arguments. The period attribute is set to `UNSPEC_PERIOD` and will not be included when `encode` is invoked.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.
        `aName` - EmailFwd name to create.

    - #### EPPEmailFwdTransferCmd

          public EPPEmailFwdTransferCmd(java.lang.String aTransId,
                                        java.lang.String aOp,
                                        java.lang.String aName,
                                        EPPAuthInfo aAuthInfo,
                                        EPPEmailFwdPeriod aPeriod)

      `EPPEmailFwdTransferCmd` constructor that takes the required attributes plus the optional attibute `aPeriod`.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.
        `aName` - EmailFwd name to create.
        `aAuthInfo` - Authorization Information for operating with the emailFwd.
        `aPeriod` - Registration period to be added to the emailFwd upon transfer.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPEmailFwdTransferCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPEmailFwdMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPEmailFwdTransferCmd` instance.
      Specified by:
        `doEncode` in class `EPPTransferCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPEmailFwdTransferCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPEmailFwdTransferCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPEmailFwdTransferCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPTransferCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPEmailFwdTransferCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getName

          public java.lang.String getName()

      Gets the emailFwd name to query.
      Returns:
        EmailFwd Name if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the emailFwd name to query.
      Parameters:
        `aName` - EmailFwd Name

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPEmailFwdTransferCmd` with this instance.
      Overrides:
        `equals` in class `EPPTransferCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEmailFwdTransferCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPTransferCmd`
      Returns:
        clone of `EPPEmailFwdTransferCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization Information.
      Returns:
        com.verisign.epp.codec.emailFwd.EPPAuthInfo

    - #### getPeriod

          public EPPEmailFwdPeriod getPeriod()

      Gets the registration period of the transfer command in years.
      Returns:
        Registration Period in years if defined; `null` otherwise.

    - #### setAuthInfo

          public void setAuthInfo(EPPAuthInfo newAuthInfo)

      Set authorization information.
      Parameters:
        `newAuthInfo` - com.verisign.epp.codec.emailFwd.EPPAuthInfo

    - #### setPeriod

          public void setPeriod(EPPEmailFwdPeriod aPeriod)

      Sets the registration period of the transfer command.
      Parameters:
        `aPeriod` - Registration Period.